import jwt from 'jsonwebtoken';
import { JwtPayload } from './types.js';

export function validateToken(token: string): JwtPayload | null {
  try {
    return jwt.verify(token, process.env.JWT_SECRET || '') as JwtPayload;
  } catch (error) {
    return null;
  }
}